def isPalin(s):
	for i in range(0, len(s)):
		if s[i] != s[len(s) - i - 1]:
			return False
	return True

inf = open("palin.in", "r")
ouf = open("palin.out", "w")

s = inf.read().strip()

palin = False

for i in range(0, len(s)):
	if isPalin(s[i:] + s[:i]):
		palin = True
		break

if palin:
	ouf.write('yes')
else:
	ouf.write('no')

inf.close()
ouf.close()